Bulk delete workflows

Server: https://{kibana_url}
  • DELETE /api/workflows
  • DELETE /s/{space_id}/api/workflows

Refer to Spaces for more information.

Delete multiple workflows by their IDs.

[Required authorization] Route required privileges: workflowsManagement:delete.

Query Parameters

force boolean · default: false

When true, permanently deletes the workflows (hard delete) instead of soft-deleting them. The workflow IDs become available for reuse.

Request

ids [] string · max: 1000 required

Array of workflow IDs to delete.

Response

200

Indicates a successful response

application/json